<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006 Artur Wiebe                                        *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   Released under the terms & conditions of v2 of the                    *
 *   GNU General Public License. For details refer to                      *
 *   the included gpl.txt file or visit http://gnu.org                     *
 ***************************************************************************/
require_once("../../maincore.php");
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";
if(!iPDP_ADMIN) {
	fallback("download.php");
}
require_once("include/common.php");
if(!isset($pdp_did)) {
	fallback("download.php");
}
require_once("include/edit.php");


/*
 * GET
 */
// get latest timestamp
$query_id = dbquery("SELECT log_timestamp"
	." FROM ".DB_PREFIX."pdp_log"
	." WHERE dl_id='$pdp_did'"
	." ORDER BY log_timestamp DESC LIMIT 1");
if(dbrows($query_id)) {
	$last_updated = array_shift(dbarray($query_id));
} else {
	$last_updated = 0;
}


/*
 * ACTION
 */
if(isset($_POST['status'])) {
	if($last_updated > $_POST['last_updated']) {
		fallback(FUSION_SELF."?did=$pdp_did&errno=".PDP_EUPDATED);
	}

	$status = stripinput($_POST['value']);
	if(!isset($locale['PDP904'])) {
		fallback(FUSION_SELF."?did=$pdp_did");
	}

	$ok = dbquery("UPDATE ".DB_PREFIX."pdp_downloads"
		." SET dl_status='$status'"
		." WHERE dl_id='$pdp_did'");

	if($ok) {
		pdp_log_event(PDP_EV_STATUS, 0);
		fallback(FUSION_SELF."?did=$pdp_did");
	}

} elseif(isset($_POST['resetlog'])) {
	if($last_updated > $_POST['last_updated']) {
		fallback(FUSION_SELF."?did=$pdp_did&errno=".PDP_EUPDATED);
	}

	$ok = dbquery("DELETE FROM ".DB_PREFIX."pdp_log"
		." WHERE dl_id='$pdp_did'");
	if($ok) {
		pdp_log_event(PDP_EV_CLEARLOG, 0);
		fallback(FUSION_SELF."?did=$pdp_did");
	}

} elseif(isset($_POST['resetbroken'])) {
	$ok = dbquery("UPDATE ".DB_PREFIX."pdp_downloads"
		." SET dl_broken_count='0'"
		." WHERE dl_id='$pdp_did'");
	if($ok) {
		pdp_log_event(PDP_EV_RESETBROKEN, 0);
		fallback(FUSION_SELF."?did=$pdp_did");
	}

} elseif(isset($_POST['setcount'])) {
	if(!isNum($_POST['count'])) {
		fallback(FUSION_SELF."?did=$pdp_did");
	}

	$ok = dbquery("UPDATE ".DB_PREFIX."pdp_downloads"
		." SET dl_count='".$_POST['count']."'"
		." WHERE dl_id='$pdp_did'");

	if($ok) {
		pdp_log_event(PDP_EV_CHEAT, 0);
		fallback(FUSION_SELF."?did=$pdp_did");
	}
}


/*
 * GUI & ACTION
 */
if(isset($_GET['errno'])) {
	pdp_process_errno($_GET['errno']);
}

opentable($locale['PDP450']);
echo $pdp_edit_menu;

$sel_status = "";
foreach($locale['PDP904'] as $val => $title) {
	$sel_status .= "<option value='$val'"
		.($val==$pdp_dl['dl_status'] ? " selected" : "").">"
		."$title</option>\n";
}
echo "<form action='".FUSION_SELF."?did=$pdp_did' method='post'>
<input type='hidden' name='last_updated' value='$last_updated'>
<table border='0' align='center'>
<tr>
	<td align='right'><b>".$locale['PDP454'].":</b></td>
	<td>".dbcount("(*)", "pdp_log", "(dl_id='$pdp_did')")."</td>
	<td><input type='submit' class='button' name='resetlog'"
			." value='".$locale['PDP009']."'></td>
</tr>
<tr>
	<td align='right'><b>".$locale['PDP452'].":</b></td>
	<td><select class='textbox' name='value'>$sel_status</select></td>
	<td><input type='submit' class='button' name='status'"
			." value='".$locale['PDP453']."'></td>
</tr>
<tr>
	<td align='right'><b>".$locale['PDP455'].":</b></td>
	<td>".$pdp_dl['dl_broken_count']."</td>
	<td><input type='submit' class='button' name='resetbroken'"
			." value='".$locale['PDP456']."'></td>
</tr>
<tr>
	<td align='right'><b>".$locale['PDP457'].":</b></td>
	<td><input type='text' class='textbox' name='count' size='5'"
		." value='".$pdp_dl['dl_count']."'></td>
	<td><input type='submit' class='button' name='setcount'"
			." value='".$locale['PDP453']."'></td>
</tr>
</table>
</form>
<hr>\n";


$query_id = dbquery("SELECT log.*, fu.user_name"
	." FROM ".DB_PREFIX."pdp_log AS log"
	." LEFT JOIN ".DB_PREFIX."users AS fu USING(user_id)"
	." WHERE dl_id='$pdp_did'"
	." ORDER BY log_timestamp DESC");
if(!dbrows($query_id)) {
	echo "<p>".$locale['PDP451'];
} else {
	echo "<ul>\n";
}
while($data = dbarray($query_id)) {
	echo "<li>".showdate("shortdate", $data['log_timestamp'])
		." <a href='profile.php?id=".$data['user_id']."'>"
			.$data['user_name']."</a>"
		." - <b>".$locale['PDP903'][$data['log_type']]
		."</b> - ".$locale['PDP900'][$data['log_errno']]
		."</li>\n";
}
if(dbrows($query_id)) {
	echo "</ul>\n";
}


closetable();

require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
